subroutine DERIVS(t)
use work
! Calculeaza membrii II ai ec. dif. de ordinul I
implicit real(8) (a-h,o-z)


! Ecuatia DUFFING:
! x' =y
! y' =-k*y -k1*x -k3*x**3 +B*cos(t)
!k =0.1
!B =10.

f(1) =xEnd(2)
f(2) =- Param%k*xEnd(2) -Param%k1*xEnd(1) -Param%k3*(xEnd(1)**3) +Param%B*dcos(t)


END subroutine DERIVS

